Bug 3106 - error 1311 while connect
error 1311 while connect
Status: RESOLVED INVALID
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.20
x86 Windows 2000
: P3 major
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 06:11 UTC by Andrew Razuvaev
Modified: 2006-01-18 08:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Razuvaev 2005-09-16 06:11:44 UTC
I have 2 machines. One in the domain W2KVRN (net 172.25.31.) with address 
172.25.31.109.
and another in the domain VIMPELCOM_MAIN (net 172.26.28.) with 2 interfaces
(172.26.28.91, 172.25.31.100).
Samba server (172.25.31.11) as part of W2KVRN domain. 
If i try to connect samba from 172.25.31.109  (net use * \\172.25.31.11
\rawa /user:w2kvrn\rawa) then all OK. 
If i try to connect from 172.26.28.91 i have windows error 1311. But i can 
login from this machine to another (windows) hosts in the W2KVRN.

log.smbd contains lines:

[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] smbd/oplock.c:receive_local_message(110)
  receive_local_message: doing select with timeout of 1 ms
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 2] smbd/server.c:exit_server(608)
  Closing connections
[2005/09/16 17:09:00, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 2] smbd/server.c:exit_server(608)
  Closing connections
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /home/rawa/
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 1] smbd/service.c:close_cnum(835)
  vrnosspc01 (172.25.31.109) closed connection to service rawa
[2005/09/16 17:09:00, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to rawa
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /home/rawa/
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 1] smbd/service.c:close_cnum(835)
  vrnosspc01 (172.25.31.109) closed connection to service rawa
[2005/09/16 17:09:00, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to rawa
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /home/rawa/
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 1] smbd/service.c:close_cnum(835)
  vrnosspc01 (172.25.31.109) closed connection to service rawa
[2005/09/16 17:09:00, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to rawa
[2005/09/16 17:09:00, 4] smbd/vfs.c:vfs_ChDir(737)
  vfs_ChDir to /
[2005/09/16 17:09:00, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_nt_user_token(452)
  NT user token: (NULL)
[2005/09/16 17:09:00, 5] auth/auth_util.c:debug_unix_user_token(473)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2005/09/16 17:09:00, 5] smbd/uid.c:change_to_root_user(319)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2005/09/16 17:09:00, 5] auth/auth_util.c:free_server_info(1387)
  attempting to free (and zero) a server_info structure
[2005/09/16 17:09:00, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
[2005/09/16 17:09:00, 5] smbd/oplock.c:receive_local_message(110)
  receive_local_message: doing select with timeout of 1 ms
[2005/09/16 17:09:00, 5] smbd/oplock.c:receive_local_message(110)
  receive_local_message: doing select with timeout of 1 ms
[2005/09/16 17:09:00, 3] smbd/server.c:exit_server(652)
  Server exit (Caught TERM signal)
[2005/09/16 17:09:00, 3] smbd/server.c:exit_server(652)
  Server exit (Caught TERM signal)
[2005/09/16 17:09:05, 0] smbd/server.c:main(802)
  smbd version 3.0.20-SUSE started.
  Copyright Andrew Tridgell and the Samba Team 1992-2004
[2005/09/16 17:09:15, 0] lib/util_sock.c:read_data(526)
  read_data: read failure for 4 bytes to client 172.26.28.91. Error = 
Connection reset by peer
[2005/09/16 17:09:15, 0] lib/util_sock.c:get_peer_addr(1222)
  getpeername failed. Error was Transport endpoint is not connected
[2005/09/16 17:09:15, 0] lib/access.c:check_access(328)
[2005/09/16 17:09:15, 0] lib/util_sock.c:get_peer_addr(1222)
  getpeername failed. Error was Transport endpoint is not connected
  Denied connection from  (0.0.0.0)
[2005/09/16 17:09:15, 1] smbd/process.c:process_smb(1107)
[2005/09/16 17:09:15, 0] lib/util_sock.c:get_peer_addr(1222)
  getpeername failed. Error was Transport endpoint is not connected
  Connection denied from 0.0.0.0
[2005/09/16 17:09:15, 0] lib/util_sock.c:write_data(554)
  write_data: write failure in writing to client 172.26.28.91. Error Connection 
reset by peer
[2005/09/16 17:09:15, 0] lib/util_sock.c:send_smb(762)
  Error writing 5 bytes to client. -1. (Connection reset by peer)
Comment 1 Gerald (Jerry) Carter 2005-10-07 07:49:27 UTC
From winerror.h

#define ERROR_NO_LOGON_SERVERS           1311L


There's no enough information here but I suspect you have a 
name service issue.  Can you give me any evidence that 
proves there is a bug in Samba ?
Comment 2 Gerald (Jerry) Carter 2006-01-18 08:51:17 UTC
no response.  Closing.